/*	$Id: extern.h,v 1.3 2012/03/28 13:37:05 kristaps Exp $ */
/*
 * Copyright (c) 2012 Kristaps Dzonsons <kristaps@bsd.lv>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */
#ifndef EXTERN_H
#define EXTERN_H

struct	stream {
	char		 *name;
	char		 *urls[32];
	char		 *songs[32];
	size_t		  urlsz;
	size_t		  gids[32]; /* genre identifiers */
	size_t	 	  gidsz; /* number of genre ids */
};

struct	icetools {
	struct stream	 *s; /* array of streams */
	size_t		  ssz; /* size of stream array */
	char		**g; /* genre table */
	size_t		  gsz; /* size of genre table */
	size_t		 *gcount; /* streams in genre */
};

__BEGIN_DECLS

struct icetools	*icetools_get(const char *server, int verbose);
void		 icetools_free(struct icetools *p);

__END_DECLS

#endif /*!EXTERN_H*/
